package com.xzzn.ems.service;

import com.xzzn.ems.domain.EmsDailyEnergyData;

import java.util.List;

/**
 * 站点每日收益数据Service接口
 */
public interface IEmsDailyEnergyDataService {

    List<EmsDailyEnergyData> selectEmsDailyEnergyDataList(EmsDailyEnergyData emsDailyEnergyData);

    EmsDailyEnergyData selectEmsDailyEnergyDataById(Long id);

    int insertEmsDailyEnergyData(EmsDailyEnergyData emsDailyEnergyData, String operName);

    int updateEmsDailyEnergyData(EmsDailyEnergyData emsDailyEnergyData, String operName);

    int deleteEmsDailyEnergyDataByIds(Long[] ids);
}
